"{ Package: 'stx:libtool/smallsense' }"

TestCase subclass:#SmallSenseTestCase
	instanceVariableNames:'u v'
	classVariableNames:''
	poolDictionaries:''
	category:'SmallSense-Tests'
!


!SmallSenseTestCase class methodsFor:'testing'!

isAbstract

    ^self == SmallSenseTestCase

    "Created: / 03-04-2011 / 22:54:04 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!SmallSenseTestCase methodsFor:'generate'!

doForSource:src 
    |parser|

    parser := SmallSenseParser new.
    parser sourceText:('gen',src) asText.
    parser 
        parseMethod:'gen' , src
        in:self class
        ignoreErrors:false
        ignoreWarnings:false.
    ^ parser.

    "Created: / 16-03-2011 / 12:27:38 / Jakub <zelenja7@fel.cvut.cz>"
    "Modified: / 18-03-2011 / 21:57:21 / Jakub <zelenja7@fel.cvut.cz>"
!

processMethod: aCompiledMethod
        "Fail by default. Needs to be overridden by subclasses to trigger the base testing backbone."

        | collector |
        collector := SmallSenseTypeCollector onClass: self class.
        collector currentExtractedMethod: aCompiledMethod.
        SmallSenseTypeCollector new newExtractor
                extractInterfacesFrom: aCompiledMethod source class:aCompiledMethod mclass
                addTo: collector.
        ^collector

    "Created: / 17-03-2011 / 16:56:07 / Jakub <zelenja7@fel.cvut.cz>"
    "Modified: / 03-04-2011 / 22:53:00 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!SmallSenseTestCase class methodsFor:'documentation'!

version_SVN
    ^ '$Id: SmallSenseTestCase.st 7840 2011-12-16 08:48:11Z vranyj1 $'
! !

